summaryrefslogtreecommitdiffstats
path: root/system/realtek-bt
diff options
context:
space:
mode:
Diffstat (limited to 'system/realtek-bt')
-rw-r--r--system/realtek-bt/README10
-rw-r--r--system/realtek-bt/install/doinst.sh13
-rw-r--r--system/realtek-bt/install/douninst.sh9
-rw-r--r--system/realtek-bt/realtek-bt.SlackBuild74
-rw-r--r--system/realtek-bt/realtek-bt.info10
-rw-r--r--system/realtek-bt/slack-desc19
6 files changed, 135 insertions, 0 deletions
diff --git a/system/realtek-bt/README b/system/realtek-bt/README
new file mode 100644
index 0000000000..c253ed6d88
--- /dev/null
+++ b/system/realtek-bt/README
@@ -0,0 +1,10 @@
+Driver for realtek based usb bluetooth adapters such as Orico. Once
+this driver is installed, the adapter should be used with a
+bluetooth manager such as blueman-manager which is a standard
+Slackware package.
+
+You'll need to recompile and reinstall this package each time you
+update your kernel.
+
+You need to reboot your machine after you install/uninstall this
+package.
diff --git a/system/realtek-bt/install/doinst.sh b/system/realtek-bt/install/doinst.sh
new file mode 100644
index 0000000000..daba69ac9c
--- /dev/null
+++ b/system/realtek-bt/install/doinst.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+DRV_DIR=/lib/modules/`uname -r`/kernel/drivers/bluetooth
+
+if lsmod | grep "^btusb " -q; then
+ rmmod btusb
+fi
+mv $DRV_DIR/btusb.ko $DRV_DIR/btusb_bak
+if lsmod | grep "^rtk_btusb " -q; then
+ rmmod rtk_btusb
+fi
+depmod -a `uname -r`
+echo "Driver installed, please reboot your system."
+
diff --git a/system/realtek-bt/install/douninst.sh b/system/realtek-bt/install/douninst.sh
new file mode 100644
index 0000000000..b5e43ade08
--- /dev/null
+++ b/system/realtek-bt/install/douninst.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+DRV_DIR=/lib/modules/$(uname -r)/kernel/drivers/bluetooth
+
+mv -n $DRV_DIR/btusb_bak $DRV_DIR/btusb.ko
+if lsmod | grep "^rtk_btusb " -q; then
+ rmmod rtk_btusb
+fi
+depmod -a $(uname -r)
+echo "Driver uninstalled, please reboot your system."
diff --git a/system/realtek-bt/realtek-bt.SlackBuild b/system/realtek-bt/realtek-bt.SlackBuild
new file mode 100644
index 0000000000..1515e9b99c
--- /dev/null
+++ b/system/realtek-bt/realtek-bt.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/bash
+
+# Slackware build script for a driver for realtek based usb bluetooth
+# adapters.
+
+# Copyright 2023 Strahil Yordanov, Sofia, Bulgaria
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=realtek-bt
+VERSION=${VERSION:-20201202}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+TMP=${TMP:-/tmp/SBo}
+BUILD_DIR=$TMP/$PRGNAM
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm; echo "Unsupported arch $ARCH"; exit 1;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+BASE_DIR=20201202_LINUX_BT_DRIVER/usb/
+SRC_DIR=bluetooth_usb_driver
+DRV_DIR=lib/modules/$(uname -r)/kernel/drivers/bluetooth
+
+set -e
+
+rm -rf $BUILD_DIR $PKG
+mkdir -p $TMP $BUILD_DIR $PKG $OUTPUT
+
+cd $BUILD_DIR
+7z x $CWD/mpow_BH519A_driver+for+Linux.7z
+cd $BASE_DIR
+make -C $SRC_DIR
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+cd $PKG
+
+mkdir -p $DRV_DIR
+cp $BUILD_DIR/$BASE_DIR/$SRC_DIR/rtk_btusb.ko $DRV_DIR
+cp -r $CWD/install .
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/realtek-bt/realtek-bt.info b/system/realtek-bt/realtek-bt.info
new file mode 100644
index 0000000000..572dc32fa7
--- /dev/null
+++ b/system/realtek-bt/realtek-bt.info
@@ -0,0 +1,10 @@
+PRGNAM="realtek-bt"
+VERSION="20201202"
+HOMEPAGE="https://github.com/mkopa/Linux-Driver-USB-Bluetooth-5.0-ORICO-BTA-508"
+DOWNLOAD="https://master.dl.sourceforge.net/project/realtek-bt/mpow_BH519A_driver+for+Linux.7z"
+MD5SUM="994ad1d6f6bd1e63190dfef7f64bbb34"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="p7zip"
+MAINTAINER="Strahil Yordanov"
+EMAIL="strahilski@yahoo.com"
diff --git a/system/realtek-bt/slack-desc b/system/realtek-bt/slack-desc
new file mode 100644
index 0000000000..cbd8da7a77
--- /dev/null
+++ b/system/realtek-bt/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+realtek-bt: realtek-bt (Driver for realtek based usb bluetooth adapters)
+realtek-bt:
+realtek-bt: Driver for realtek based usb bluetooth adapters such as Orico. Once
+realtek-bt: this driver is installed, the adapter should be used with a
+realtek-bt: bluetooth manager such as blueman-manager which is a standard
+realtek-bt: Slackware package.
+realtek-bt:
+realtek-bt: You need to reboot your machine after you install/uninstall this
+realtek-bt: package.
+realtek-bt:
+realtek-bt: